Modul
Indhald
Innhaldsliste 🔎︎

# GoSub...Return-uttrykket

Kallar opp ein namngjeven subrutine frå ein subrutine eller ein funksjon. Uttrykket som kjem etter merkelappen med namnet på subrutinen vert utført fram til neste RETURN-uttrykk. Deretter held programmet fram med å utføra uttrykka som kjem etter GoSub-uttrykket.

## Syntaks:

    sjå Parametrar

## Parametrar:

Sub/Function

uttrykksblokk

Etikett

uttrykksblokk

GoSub etikett

Exit Sub/Function

Etikett:

uttrykksblokk

Return

End Sub/Function

GoSub-uttrykket kallar opp ein lokal subrutine (underrutine), namngjeven med ein etikett, frå ein subrutine eller ein funksjon. Namnet på etikette må avsluttast med kolon («:»).

Viss programmet kjem til eit RETURN-uttrykk utan tilhøyrande GoSub vil LibreOffice Basic gje ei feilmelding. Bruk Exit Sub eller Exit Function for å vera sikker på at programmet går ut av subrutinen eller funksjonen før det kjem til RETURN.

Eksemplet viser bruken av GOSUB og RETURN. Ved å køyra programmet to gongar, vil det rekna ut kvadratrota av to tal som brukaren skriv inn.

## Eksempel:

    Sub ExampleGoSub
    Dim iInputa As Single
    Dim iInputb As Single
    Dim iInputc As Single
        iInputa = Int(InputBox$ "Skriv inn det første talet: ","Talinnskriving"))
        iInputb = Int(InputBox$ "Skriv inn det andre talet: ","Talinnskriving"))
        iInputc=iInputa
        GoSub SquareRoot
        Print "Kvadratrota av";iInputa;" er";iInputc
        iInputc=iInputb
        GoSub SquareRoot
        Print "Kvadratrota av";iInputb;" er";iInputc
        Exit Sub
    SquareRoot:
        iInputc=sqr(iInputc)
        Return
    End Sub